"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var VimKeysComponent = (function () {
    function VimKeysComponent() {
    }
    VimKeysComponent = __decorate([
        core_1.Component({
            selector: 'vim-keys',
            styles: ["\n    table {\n        font-family: arial, sans-serif;\n        border-collapse: collapse;\n        width: 100%;\n    }\n\n    td, th {\n        border: 1px solid #dddddd;\n        text-align: left;\n        padding: 8px;\n    }\n\n    tr:nth-child(even) {\n        background-color: #dddddd;\n    }\n  "],
            template: "\n    <table>\n      <tr>\n        <th>:q[uit]</th>\n        <th>Quit Vim. This fails when changes have been made.</th>\n      </tr>\n      <tr>\n        <th>:q[uit]!</th>\n        <th>Quit without writing.</th>\n      </tr>\n      <tr>\n        <th>:cq[uit]</th>\n        <th>Quit always, without writing.</th>\n      </tr>\n      <tr>\n        <th>:wq</th>\n        <th>Write the current file and exit.</th>\n      </tr>\n      <tr>\n        <th>:wq!</th>\n        <th>Write the current file and exit always.</th>\n      </tr>\n      <tr>\n        <th>:wq {file}</th>\n        <th>Write to {file}. Exit if not editing the last</th>\n      </tr>\n      <tr>\n        <th>:wq! {file}</th>\n        <th>Write to {file} and exit always.</th>\n      </tr>\n      <tr>\n        <th>:[range]wq[!]</th>\n        <th>[file] Same as above, but only write the lines in [range].</th>\n      </tr>\n      <tr>\n        <th>ZZ</th>\n        <th>Write current file, if modified, and exit.</th>\n      </tr>\n      <tr>\n        <th>ZQ</th>\n        <th>Quit current file and exit (same as \":q!\").</th>\n      </tr>\n\n    </table>\n  "
        }), 
        __metadata('design:paramtypes', [])
    ], VimKeysComponent);
    return VimKeysComponent;
}());
exports.VimKeysComponent = VimKeysComponent;
//# sourceMappingURL=vim-keys.component.js.map