import {NgModule, ModuleWithProviders} from "@angular/core";
import {CommonModule} from "@angular/common";
import {VimKeysComponent} from "./src/vim-keys.component";

export * from './src/vim-keys.component';

@NgModule({
  imports: [
    CommonModule
  ],
  declarations: [
    VimKeysComponent
  ],
  exports: [
    VimKeysComponent
  ]
})
export default class VimKeysModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: VimKeysModule
    };
  }
}
